--- title: "getCloudCacheConfigGroupList" slug: "database-vcache-getcloudcacheconfiggrouplist" tags: ["Cloud DB for Redis"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcacheconfiggrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheConfigGroupList Available in VPC Get the Cloud DB for Cache config group list. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheConfigGroupList API: Support for Valkey and Redis DBMS - getCloudRedisConfigGroupList API: Support for Redis DBMS ## getCloudCacheConfigGroupList API This section describes the request and response formats for the getCloudCacheConfigGroupList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vcache/v2/getCloudCacheConfigGroupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for Cache config group list to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudCacheInstanceNo` | String | Optional | Filter by Cloud DB for Cache instance number. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `cloudCacheServiceName` | String | Optional | Filter by Cloud DB for Cache instance name. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `configGroupNo` | String | Optional | Filter by config group number. - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). | | `configGroupName` | String | Optional | Filter by config group name. - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). | | `cloudCacheImageProductCode` | String | Optional | Filter by Cloud Cache image product code applicable for the config group version to query. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). | | `cloudCacheModeCode` | String | Optional | Cloud DB for Cache configurationFilter by Cloud DB for Cache configuration type. - `SIMPLE` \| `CLUSTER` - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `cloudCacheDbmsCode` | String | Optional | Cloud DB for Cache instance's DBMS code - `Redis` \| `Valkey` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheConfigGroupList ?regionCode=KR &cloudCacheInstanceNo=****511 &cloudCacheServiceName=test-**** &configGroupNo=***9 &configGroupName=test-***-config &cloudCacheImageProductCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050 &cloudCacheModeCode=SIMPLE' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudCacheConfigGroupList](/docs/en/common-vapidatatype-cloudcacheconfiggrouplist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudCacheConfigGroupListResponse": { "totalRows": 1, "cloudCacheConfigGroupList": [ { "configGroupNo": "***9", "configGroupName": "test-***-config", "configGroupDescription": "decription", "configGroupStatusName": "running", "configGroupStatus": { "code": "RUN", "codeName": "Config group Running status" }, "cloudCacheVersion": "7.2.11-simple", "cloudCacheDbmsCode": "Redis", "createDate": "2024-07-01T16:36:38+0900", "modifyDate": "2024-07-01T16:36:40+0900", "cloudCacheInstanceNoList": [ "****511" ] } ], "requestId": "8d112bd6-****-****-****-ab3793ad0676", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 8d112bd6-****-****-****-ab3793ad0676 0 success 1 ***9 test-***-config decription running RUN Config group Running status 7.2.11-simple Valkey 2024-07-01T16:36:38+0900 2024-07-01T16:36:40+0900 ****511 ``` ## getCloudRedisConfigGroupList API This section describes the request and response formats for the getCloudRedisConfigGroupList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisConfigGroupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for Cache config group list to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudRedisInstanceNo` | String | Optional | Filter by Cloud DB for Cache instance number. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `cloudRedisServiceName` | String | Optional | Filter by Cloud DB for Cache instance name. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `configGroupNo` | String | Optional | Filter by config group number. - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). | | `configGroupName` | String | Optional | Filter by config group name. - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). | | `cloudRedisImageProductCode` | String | Optional | Filter by Cloud Redis image product code applicable for the config group version to query. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). | | `cloudRedisModeCode` | String | Optional | Cloud DB for Cache configurationFilter by Cloud DB for Cache configuration type. - `CLUSTER` \| `SIMPLE` - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisConfigGroupList ?regionCode=KR &cloudRedisInstanceNo=****511 &cloudRedisServiceName=test-**** &configGroupNo=***9 &configGroupName=test-***-config &cloudRedisImageProductCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050 &cloudRedisModeCode=CLUSTER' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [ConfigGroupList](/docs/en/common-vapidatatype-cloudredisconfiggrouplist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisConfigGroupListResponse": { "totalRows": 1, "cloudRedisConfigGroupList": [ { "configGroupNo": "***9", "configGroupName": "test-***-config", "configGroupDescription": "decription", "configGroupStatusName": "running", "configGroupStatus": { "code": "RUN", "codeName": "CONFIG GROUP Running State" }, "cloudRedisVersion": "7.0.15-cluster", "createDate": "2024-07-01T16:36:38+0900", "modifyDate": "2024-07-01T16:36:40+0900", "cloudRedisInstanceNoList": [ "****511" ] } ], "requestId": "8d112bd6-****-****-****-ab3793ad0676", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 8d112bd6-****-****-****-ab3793ad0676 0 success 1 ***9 test-***-config decription running RUN CONFIG GROUP Running State 7.0.15-cluster 2024-07-01T16:36:38+0900 2024-07-01T16:36:40+0900 ****511 ```